<template>
  <div>
    <!--begin::Dashboard-->
    <!-- filter column -->

    <div class="row mb-3">
      <div class="col-12">
        <div class="card">
          <div class="card-body">
            <b-row class="my-1 d-flex align-items-center">
              <b-col sm="3">
                <label>Kode Proyek :</label>
              </b-col>
              <b-col sm="9">
                <b-form-select v-model="selected" :options="options" size="sm" class="mt-3"></b-form-select>
              </b-col>
            </b-row>
            <b-row class="my-1 d-flex align-items-center mt-2">
              <b-col sm="3">
                <label>Nama Proyek :</label>
              </b-col>
              <b-col sm="9">
                <input type="text" disabled class="form-control" size="sm">
              </b-col>
            </b-row>
            <div class="row">
              <div class="col-12">
                <div class="text-right">
                  <button class="btn btn-primary">Tampilkan</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- end filter column -->


    <!-- second column -->

    <div class="row mb-3">
        <div class="col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 col xxl-4">
            <div class="card" style="height: 25em; max-height: 25em;">
                <div class="card-body">
                    <div class="table-responsive">
                        <b-table sticky-header :items="documentControllProgress" head-variant="dark"></b-table>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 col xxl-4">
            <div class="card" style="height: 25em; max-height: 25em;">
                <div class="card-body" style="padding: 2em 1em;">
                    <div class="text-center">
                        <h4>Submition Status</h4>
                    </div>
                    <ChartPie />
                </div>
            </div>
        </div>
        <div class="col-12 col-sm-12 col-md-4 col-lg-4 col-xl-4 col xxl-4">
            <div class="card" style="height: 25em; max-height: 25em;">
                <div class="card-body">
                    <div class="table-responsive">
                        <b-table sticky-header :items="generalInformation" head-variant="dark"></b-table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- end second column -->


    <!-- third column -->

    <div class="row mb-3">
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
            <div class="card" style="height: 20em; max-height: 20em;">
                <div class="card-body">
                    <div class="table-responsive">
                        <b-table sticky-header :items="detailInformation" head-variant="dark" style="max-height: 16em;"></b-table>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
            <div class="card" style="height: 20em; max-height: 20em;">
                <div class="card-body">
                    <div class="table-responsive">
                        <b-table-simple hover sticky-header small caption-top responsive style="maxHeight: 16em;">
                            <b-thead head-variant="dark">
                                <b-tr>
                                    <b-th colspan="4" class="text-center">All Submition</b-th>
                                    <b-th colspan="6" class="text-center">Document Progress</b-th>
                                </b-tr>
                                <b-tr>
                                    <b-th>Date</b-th>
                                    <b-th>Submited</b-th>
                                    <b-th>Not Yet</b-th>
                                    <b-th>Total</b-th>
                                    <b-th>A</b-th>
                                    <b-th>Ret</b-th>
                                    <b-th>B</b-th>
                                    <b-th>C</b-th>
                                    <b-th>ABD</b-th>
                                    <b-th>Total</b-th>
                                </b-tr>
                            </b-thead>
                            <template
                                v-for="(item, i) in allSubmition"
                            >
                                <b-tbody v-bind:key="i">
                                    <b-tr>
                                        <b-td>{{ item.date }}</b-td>
                                        <b-td>{{ item.submited }}</b-td>
                                        <b-td>{{ item.not_yet }}</b-td>
                                        <b-td>{{ item.total }}</b-td>
                                        <b-td>{{ item.a }}</b-td>
                                        <b-td>{{ item.ret }}</b-td>
                                        <b-td>{{ item.b }}</b-td>
                                        <b-td>{{ item.c }}</b-td>
                                        <b-td>{{ item.abd }}</b-td>
                                        <b-td>{{ item.total_document }}</b-td>
                                    </b-tr>
                                </b-tbody>
                            </template>
                        </b-table-simple>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- end third column -->


    <!-- line chart -->

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <ChartLine />
                </div>
            </div>
        </div>
    </div>

    <!-- end line chart -->

    <!--end::Dashboard-->
  </div>
</template>

<script>
import { SET_BREADCRUMB } from "@/core/services/store/breadcrumbs.module";
// import ChartBar from "@/view/content/widgets/dashboard/ChartBar.vue";
// import ChartVertical from "@/view/content/widgets/dashboard/ChartBarVertical.vue";
import ChartLine from "@/view/content/widgets/dashboard/ChartLine.vue";
import ChartPie from "@/view/content/widgets/dashboard/ChartPie.vue";

export default {
  name: "dashboard",
  data() {
    return {
      options: [
          { value: null, text: 'Please select an option' },
          { value: 'a', text: 'This is First option' },
          { value: 'b', text: 'Selected Option' },
          { value: { C: '3PO' }, text: 'This is an option with object value' },
          { value: 'd', text: 'This one is disabled', disabled: true }
      ],
      documentControllProgress: [
          {
              planning: "Realisasi",
              persentase: "81.67%",
              amount: "294"
          },
          {
              planning: "On progress",
              persentase: "6.11%",
              amount: "22"
          },
          {
              planning: "Return",
              persentase: "0%",
              amount: "0"
          },
          {
              planning: "Not yet",
              persentase: "12.22%",
              amount: "44"
          },
          {
              planning: "Total",
              persentase: "100%",
              amount: "360"
          },
      ],
      generalInformation: [
          {
              date: "April week 4",
              submitPercent: "87.78",
              notYetPercent: "12.28%",
              submitAmount: "316",
              notYetAmount: "44",
              total: "360"
          }
      ],
      detailInformation: [
          {
              scope: "Marketing",
              jumlah_design: "1",
              not_yet: "0",
              progress: "100%",
              docon: "1",
              designer: "0",
              checker: "0"
          },
          {
              scope: "Marketing",
              jumlah_design: "1",
              not_yet: "0",
              progress: "100%",
              docon: "1",
              designer: "0",
              checker: "0"
          },
          {
              scope: "Marketing",
              jumlah_design: "1",
              not_yet: "0",
              progress: "100%",
              docon: "1",
              designer: "0",
              checker: "0"
          },
          {
              scope: "Marketing",
              jumlah_design: "1",
              not_yet: "0",
              progress: "100%",
              docon: "1",
              designer: "0",
              checker: "0"
          },
          {
              scope: "Marketing",
              jumlah_design: "1",
              not_yet: "0",
              progress: "100%",
              docon: "1",
              designer: "0",
              checker: "0"
          },
          {
              scope: "Marketing",
              jumlah_design: "1",
              not_yet: "0",
              progress: "100%",
              docon: "1",
              designer: "0",
              checker: "0"
          },
      ],
      allSubmition: [
          {
              date: "April Week 1",
              submited: "136",
              not_yet: "44",
              total: "180",
              a: "123",
              ret: "0",
              b: "13",
              c: "0",
              abd: "0",
              total_document: "136"
          },
          {
              date: "April Week 1",
              submited: "136",
              not_yet: "44",
              total: "180",
              a: "123",
              ret: "0",
              b: "13",
              c: "0",
              abd: "0",
              total_document: "136"
          },
          {
              date: "April Week 1",
              submited: "136",
              not_yet: "44",
              total: "180",
              a: "123",
              ret: "0",
              b: "13",
              c: "0",
              abd: "0",
              total_document: "136"
          },
      ]
    }
  },
  components: {
    ChartPie,
    ChartLine
  },
  mounted() {
    this.$store.dispatch(SET_BREADCRUMB, [{ title: "Dashboard" }]);
  },
  methods: {}
};
</script>

